<?php
    $about_content_type     = fotoografia_get_option( 'about_content_type' );
    $about_title       = fotoografia_get_option( 'about_title' );
    $about_category = fotoografia_get_option( 'about_category' );
    $number_of_about_column = fotoografia_get_option('number_of_about_column');
    for( $i=1; $i<=6; $i++ ) :
        $about_post_posts[] = absint(fotoografia_get_option( 'about_post_'.$i ) );
    endfor;

?>
<?php if( !empty($about_title)):?>
    <div class="section-header">
        <h2 class="section-title"><?php echo esc_html($about_title);?></h2>
    </div>       
<?php endif;?>  
<div class="section-content clear">
    <div class="about-slider" data-slick='{"slidesToShow": <?php echo esc_attr($number_of_about_column); ?>, "slidesToScroll": 1, "infinite": false, "speed": 1200, "dots": false, "arrows":false, "autoplay": false, "fade": false }'>
        <?php if( ( $about_content_type =='about_post') || ( $about_content_type == 'about_category') ) 
        {  
            if( $about_content_type == 'about_post' ) :
                $args = array (
                    'post_type'     => 'post',
                    'post_per_page' => count( $about_post_posts ),
                    'post__in'      => $about_post_posts,
                    'orderby'       =>'post__in', 
                    'ignore_sticky_posts' => true, 
                ); 
            endif;

            if( $about_content_type == 'about_category' ) :
                $args = array (

                    'posts_per_page' =>6,              
                    'post_type' => 'post',
                    'post_status' => 'publish',
                    'paged' => 1,
                    'ignore_sticky_posts' => true, 
                    );
                    if ( absint( $about_category ) > 0 ) {
                        $args['cat'] = absint( $about_category );
                    }
            endif;
            $loop = new WP_Query($args);                        
            if ( $loop->have_posts() ) :
                $i=0;  
                while ($loop->have_posts()) : $loop->the_post(); $i++;?>           
                    <article class=" <?php echo has_post_thumbnail() ? 'has-post-thumbnail' : 'no-post-thumbnail' ; ?>">
                        <div class="post-item-wrapper">
                            <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url( 'fotoografia-blog');?>');">
                                <a href="<?php the_permalink();?>" class="post-thumbnail-link"></a>
                                <div class="overlay"></div>
                                <?php $homepage_video_url = get_post_meta( get_the_ID(), 'fotoografia-video-url', true ); ?>
                                <?php if (!empty($homepage_video_url)): ?>
                                   <a href="<?php the_permalink();?>"> <div class="homepage-video-icon"><i class="fa fa-play"></i></div></a>
                                <?php endif ?>
                            </div><!-- .featured-image -->

                            <div class="entry-container">
                                <header class="entry-header">
                                    <h2 class="entry-title" ><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
                                </header>
                            </div><!-- .entry-container -->
                        </div><!-- .post-item-wrapper -->
                    </article>

                <?php endwhile;?>
            <?php endif; ?>
            <?php wp_reset_postdata(); ?>
      <?php  }?>
    </div>
</div><!-- .section-content -->